> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/integrations/mirrormaker.md).

# MirrorMaker

This page describes the settings tweaks you may have to do to leverage MirrorMaker to migrate to Warpstream.

MirrorMaker is a Kafka process that replicates data between Kafka clusters or Kafka-compatible data stores such as Warpstream. A video walkthrough can be found below:

{% embed url="<https://youtu.be/Ao_QI0kadQE>" %}

You should tune your producer settings like we recommend [there](/warpstream/kafka/configure-kafka-client/tuning-for-performance.md).

If you notice that producing data from the MirrorMaker is taking too much time for the throughput it tries to handle and encounters consumer group timeouts, then you can try the following:

* bump the `session.timeout.ms` to 2-5min
* increase the `max.poll.interval.ms` to 10min
* set `max.poll.records` to 100-300 (default is 500)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.warpstream.com/warpstream/reference/integrations/mirrormaker.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
